entity testbench is
end testbench;

architecture bench of testbench is
   component Adder8
   port( A		: in BIT_VECTOR( 7 downto 0  ) ;
         B		: in BIT_VECTOR( 7 downto 0  ) ;
         cin		: in BIT ;
         Y		: out BIT_VECTOR( 7 downto 0  ) ;
         cout		: out BIT) ) ;
   end component ;

   signal t_A		: BIT_VECTOR( 7 downto 0  ) ;
   signal t_B		: BIT_VECTOR( 7 downto 0  ) ;
   signal t_cin	: BIT ;
   signal t_Y		: BIT_VECTOR( 7 downto 0  ) ;
   signal t_cout	: BIT ;
begin

   top : Adder8
         port map ( A => t_A ,
                    B => t_B ,
                    cin => t_cin ,
                    Y => t_Y ,
                    cout => t_cout ) ;

   t_cin <= '0' after 0 ns,
            '1' after 1 ns,
            '0' after 2 ns,
            '1' after 3 ns;

   t_A <= "00001111" after 0 ns,
          "11111111" after 2 ns;

   t_B <= "00001010" after 0 ns,
          "00000001" after 2 ns;

   test_driver: process
   begin
      wait for 4 ns;
      assert false report "Finished simulation" severity failure;
   end process test_driver;
end bench;

